// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/spec.proto

package mariner

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type CreateVMsRequest struct {
	Specs                []*VMSpec `protobuf:"bytes,1,rep,name=specs,proto3" json:"specs,omitempty" yaml:"specs,omitempty" mapstructure:"specs,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32     `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *CreateVMsRequest) Reset()         { *m = CreateVMsRequest{} }
func (m *CreateVMsRequest) String() string { return proto.CompactTextString(m) }
func (*CreateVMsRequest) ProtoMessage()    {}
func (*CreateVMsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{0}
}

func (m *CreateVMsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateVMsRequest.Unmarshal(m, b)
}
func (m *CreateVMsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateVMsRequest.Marshal(b, m, deterministic)
}
func (m *CreateVMsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateVMsRequest.Merge(m, src)
}
func (m *CreateVMsRequest) XXX_Size() int {
	return xxx_messageInfo_CreateVMsRequest.Size(m)
}
func (m *CreateVMsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateVMsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateVMsRequest proto.InternalMessageInfo

func (m *CreateVMsRequest) GetSpecs() []*VMSpec {
	if m != nil {
		return m.Specs
	}
	return nil
}

type CreateVMsResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *CreateVMsResponse) Reset()         { *m = CreateVMsResponse{} }
func (m *CreateVMsResponse) String() string { return proto.CompactTextString(m) }
func (*CreateVMsResponse) ProtoMessage()    {}
func (*CreateVMsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{1}
}

func (m *CreateVMsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateVMsResponse.Unmarshal(m, b)
}
func (m *CreateVMsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateVMsResponse.Marshal(b, m, deterministic)
}
func (m *CreateVMsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateVMsResponse.Merge(m, src)
}
func (m *CreateVMsResponse) XXX_Size() int {
	return xxx_messageInfo_CreateVMsResponse.Size(m)
}
func (m *CreateVMsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateVMsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateVMsResponse proto.InternalMessageInfo

type DestroyVMsRequest struct {
	Names                []string `protobuf:"bytes,1,rep,name=names,proto3" json:"names,omitempty" yaml:"names,omitempty" mapstructure:"names,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DestroyVMsRequest) Reset()         { *m = DestroyVMsRequest{} }
func (m *DestroyVMsRequest) String() string { return proto.CompactTextString(m) }
func (*DestroyVMsRequest) ProtoMessage()    {}
func (*DestroyVMsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{2}
}

func (m *DestroyVMsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DestroyVMsRequest.Unmarshal(m, b)
}
func (m *DestroyVMsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DestroyVMsRequest.Marshal(b, m, deterministic)
}
func (m *DestroyVMsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DestroyVMsRequest.Merge(m, src)
}
func (m *DestroyVMsRequest) XXX_Size() int {
	return xxx_messageInfo_DestroyVMsRequest.Size(m)
}
func (m *DestroyVMsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DestroyVMsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DestroyVMsRequest proto.InternalMessageInfo

func (m *DestroyVMsRequest) GetNames() []string {
	if m != nil {
		return m.Names
	}
	return nil
}

type DestroyVMsResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DestroyVMsResponse) Reset()         { *m = DestroyVMsResponse{} }
func (m *DestroyVMsResponse) String() string { return proto.CompactTextString(m) }
func (*DestroyVMsResponse) ProtoMessage()    {}
func (*DestroyVMsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{3}
}

func (m *DestroyVMsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DestroyVMsResponse.Unmarshal(m, b)
}
func (m *DestroyVMsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DestroyVMsResponse.Marshal(b, m, deterministic)
}
func (m *DestroyVMsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DestroyVMsResponse.Merge(m, src)
}
func (m *DestroyVMsResponse) XXX_Size() int {
	return xxx_messageInfo_DestroyVMsResponse.Size(m)
}
func (m *DestroyVMsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DestroyVMsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DestroyVMsResponse proto.InternalMessageInfo

type ListVMsRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *ListVMsRequest) Reset()         { *m = ListVMsRequest{} }
func (m *ListVMsRequest) String() string { return proto.CompactTextString(m) }
func (*ListVMsRequest) ProtoMessage()    {}
func (*ListVMsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{4}
}

func (m *ListVMsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListVMsRequest.Unmarshal(m, b)
}
func (m *ListVMsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListVMsRequest.Marshal(b, m, deterministic)
}
func (m *ListVMsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListVMsRequest.Merge(m, src)
}
func (m *ListVMsRequest) XXX_Size() int {
	return xxx_messageInfo_ListVMsRequest.Size(m)
}
func (m *ListVMsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListVMsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListVMsRequest proto.InternalMessageInfo

type ListVMsResponse struct {
	Specs                []*VMSpec `protobuf:"bytes,1,rep,name=specs,proto3" json:"specs,omitempty" yaml:"specs,omitempty" mapstructure:"specs,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32     `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *ListVMsResponse) Reset()         { *m = ListVMsResponse{} }
func (m *ListVMsResponse) String() string { return proto.CompactTextString(m) }
func (*ListVMsResponse) ProtoMessage()    {}
func (*ListVMsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{5}
}

func (m *ListVMsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListVMsResponse.Unmarshal(m, b)
}
func (m *ListVMsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListVMsResponse.Marshal(b, m, deterministic)
}
func (m *ListVMsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListVMsResponse.Merge(m, src)
}
func (m *ListVMsResponse) XXX_Size() int {
	return xxx_messageInfo_ListVMsResponse.Size(m)
}
func (m *ListVMsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListVMsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListVMsResponse proto.InternalMessageInfo

func (m *ListVMsResponse) GetSpecs() []*VMSpec {
	if m != nil {
		return m.Specs
	}
	return nil
}

type Disk struct {
	Size                 uint64   `protobuf:"varint,1,opt,name=size,proto3" json:"size,omitempty" yaml:"size,omitempty" mapstructure:"size,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Disk) Reset()         { *m = Disk{} }
func (m *Disk) String() string { return proto.CompactTextString(m) }
func (*Disk) ProtoMessage()    {}
func (*Disk) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{6}
}

func (m *Disk) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Disk.Unmarshal(m, b)
}
func (m *Disk) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Disk.Marshal(b, m, deterministic)
}
func (m *Disk) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Disk.Merge(m, src)
}
func (m *Disk) XXX_Size() int {
	return xxx_messageInfo_Disk.Size(m)
}
func (m *Disk) XXX_DiscardUnknown() {
	xxx_messageInfo_Disk.DiscardUnknown(m)
}

var xxx_messageInfo_Disk proto.InternalMessageInfo

func (m *Disk) GetSize() uint64 {
	if m != nil {
		return m.Size
	}
	return 0
}

type CPU struct {
	Frequency            uint64   `protobuf:"varint,1,opt,name=frequency,proto3" json:"frequency,omitempty" yaml:"frequency,omitempty" mapstructure:"frequency,omitempty"`
	Cores                uint32   `protobuf:"varint,2,opt,name=cores,proto3" json:"cores,omitempty" yaml:"cores,omitempty" mapstructure:"cores,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *CPU) Reset()         { *m = CPU{} }
func (m *CPU) String() string { return proto.CompactTextString(m) }
func (*CPU) ProtoMessage()    {}
func (*CPU) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{7}
}

func (m *CPU) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CPU.Unmarshal(m, b)
}
func (m *CPU) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CPU.Marshal(b, m, deterministic)
}
func (m *CPU) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CPU.Merge(m, src)
}
func (m *CPU) XXX_Size() int {
	return xxx_messageInfo_CPU.Size(m)
}
func (m *CPU) XXX_DiscardUnknown() {
	xxx_messageInfo_CPU.DiscardUnknown(m)
}

var xxx_messageInfo_CPU proto.InternalMessageInfo

func (m *CPU) GetFrequency() uint64 {
	if m != nil {
		return m.Frequency
	}
	return 0
}

func (m *CPU) GetCores() uint32 {
	if m != nil {
		return m.Cores
	}
	return 0
}

type DIMM struct {
	MTs                  uint64   `protobuf:"varint,1,opt,name=MTs,proto3" json:"MTs,omitempty" yaml:"MTs,omitempty" mapstructure:"MTs,omitempty"`
	Capacity             uint64   `protobuf:"varint,2,opt,name=Capacity,proto3" json:"Capacity,omitempty" yaml:"Capacity,omitempty" mapstructure:"Capacity,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DIMM) Reset()         { *m = DIMM{} }
func (m *DIMM) String() string { return proto.CompactTextString(m) }
func (*DIMM) ProtoMessage()    {}
func (*DIMM) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{8}
}

func (m *DIMM) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DIMM.Unmarshal(m, b)
}
func (m *DIMM) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DIMM.Marshal(b, m, deterministic)
}
func (m *DIMM) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DIMM.Merge(m, src)
}
func (m *DIMM) XXX_Size() int {
	return xxx_messageInfo_DIMM.Size(m)
}
func (m *DIMM) XXX_DiscardUnknown() {
	xxx_messageInfo_DIMM.DiscardUnknown(m)
}

var xxx_messageInfo_DIMM proto.InternalMessageInfo

func (m *DIMM) GetMTs() uint64 {
	if m != nil {
		return m.MTs
	}
	return 0
}

func (m *DIMM) GetCapacity() uint64 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

type EtherPort struct {
	Ifx                  *Netif   `protobuf:"bytes,1,opt,name=ifx,proto3" json:"ifx,omitempty" yaml:"ifx,omitempty" mapstructure:"ifx,omitempty"`
	Capacity             uint64   `protobuf:"varint,2,opt,name=Capacity,proto3" json:"Capacity,omitempty" yaml:"Capacity,omitempty" mapstructure:"Capacity,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *EtherPort) Reset()         { *m = EtherPort{} }
func (m *EtherPort) String() string { return proto.CompactTextString(m) }
func (*EtherPort) ProtoMessage()    {}
func (*EtherPort) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{9}
}

func (m *EtherPort) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EtherPort.Unmarshal(m, b)
}
func (m *EtherPort) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EtherPort.Marshal(b, m, deterministic)
}
func (m *EtherPort) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EtherPort.Merge(m, src)
}
func (m *EtherPort) XXX_Size() int {
	return xxx_messageInfo_EtherPort.Size(m)
}
func (m *EtherPort) XXX_DiscardUnknown() {
	xxx_messageInfo_EtherPort.DiscardUnknown(m)
}

var xxx_messageInfo_EtherPort proto.InternalMessageInfo

func (m *EtherPort) GetIfx() *Netif {
	if m != nil {
		return m.Ifx
	}
	return nil
}

func (m *EtherPort) GetCapacity() uint64 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

type EtherNic struct {
	Ports                []*EtherPort `protobuf:"bytes,1,rep,name=ports,proto3" json:"ports,omitempty" yaml:"ports,omitempty" mapstructure:"ports,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte       `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32        `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *EtherNic) Reset()         { *m = EtherNic{} }
func (m *EtherNic) String() string { return proto.CompactTextString(m) }
func (*EtherNic) ProtoMessage()    {}
func (*EtherNic) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{10}
}

func (m *EtherNic) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_EtherNic.Unmarshal(m, b)
}
func (m *EtherNic) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_EtherNic.Marshal(b, m, deterministic)
}
func (m *EtherNic) XXX_Merge(src proto.Message) {
	xxx_messageInfo_EtherNic.Merge(m, src)
}
func (m *EtherNic) XXX_Size() int {
	return xxx_messageInfo_EtherNic.Size(m)
}
func (m *EtherNic) XXX_DiscardUnknown() {
	xxx_messageInfo_EtherNic.DiscardUnknown(m)
}

var xxx_messageInfo_EtherNic proto.InternalMessageInfo

func (m *EtherNic) GetPorts() []*EtherPort {
	if m != nil {
		return m.Ports
	}
	return nil
}

type WifiModule struct {
	Ifx                  *Netif   `protobuf:"bytes,1,opt,name=ifx,proto3" json:"ifx,omitempty" yaml:"ifx,omitempty" mapstructure:"ifx,omitempty"`
	Capacity             uint64   `protobuf:"varint,2,opt,name=Capacity,proto3" json:"Capacity,omitempty" yaml:"Capacity,omitempty" mapstructure:"Capacity,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *WifiModule) Reset()         { *m = WifiModule{} }
func (m *WifiModule) String() string { return proto.CompactTextString(m) }
func (*WifiModule) ProtoMessage()    {}
func (*WifiModule) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{11}
}

func (m *WifiModule) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WifiModule.Unmarshal(m, b)
}
func (m *WifiModule) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WifiModule.Marshal(b, m, deterministic)
}
func (m *WifiModule) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WifiModule.Merge(m, src)
}
func (m *WifiModule) XXX_Size() int {
	return xxx_messageInfo_WifiModule.Size(m)
}
func (m *WifiModule) XXX_DiscardUnknown() {
	xxx_messageInfo_WifiModule.DiscardUnknown(m)
}

var xxx_messageInfo_WifiModule proto.InternalMessageInfo

func (m *WifiModule) GetIfx() *Netif {
	if m != nil {
		return m.Ifx
	}
	return nil
}

func (m *WifiModule) GetCapacity() uint64 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

type PCIe struct {
	Version              string   `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty" yaml:"Version,omitempty" mapstructure:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *PCIe) Reset()         { *m = PCIe{} }
func (m *PCIe) String() string { return proto.CompactTextString(m) }
func (*PCIe) ProtoMessage()    {}
func (*PCIe) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{12}
}

func (m *PCIe) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PCIe.Unmarshal(m, b)
}
func (m *PCIe) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PCIe.Marshal(b, m, deterministic)
}
func (m *PCIe) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PCIe.Merge(m, src)
}
func (m *PCIe) XXX_Size() int {
	return xxx_messageInfo_PCIe.Size(m)
}
func (m *PCIe) XXX_DiscardUnknown() {
	xxx_messageInfo_PCIe.DiscardUnknown(m)
}

var xxx_messageInfo_PCIe proto.InternalMessageInfo

func (m *PCIe) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type GenZ struct {
	Version              string   `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty" yaml:"Version,omitempty" mapstructure:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *GenZ) Reset()         { *m = GenZ{} }
func (m *GenZ) String() string { return proto.CompactTextString(m) }
func (*GenZ) ProtoMessage()    {}
func (*GenZ) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{13}
}

func (m *GenZ) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GenZ.Unmarshal(m, b)
}
func (m *GenZ) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GenZ.Marshal(b, m, deterministic)
}
func (m *GenZ) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GenZ.Merge(m, src)
}
func (m *GenZ) XXX_Size() int {
	return xxx_messageInfo_GenZ.Size(m)
}
func (m *GenZ) XXX_DiscardUnknown() {
	xxx_messageInfo_GenZ.DiscardUnknown(m)
}

var xxx_messageInfo_GenZ proto.InternalMessageInfo

func (m *GenZ) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type OpenCAPI struct {
	Version              string   `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty" yaml:"Version,omitempty" mapstructure:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *OpenCAPI) Reset()         { *m = OpenCAPI{} }
func (m *OpenCAPI) String() string { return proto.CompactTextString(m) }
func (*OpenCAPI) ProtoMessage()    {}
func (*OpenCAPI) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{14}
}

func (m *OpenCAPI) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OpenCAPI.Unmarshal(m, b)
}
func (m *OpenCAPI) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OpenCAPI.Marshal(b, m, deterministic)
}
func (m *OpenCAPI) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OpenCAPI.Merge(m, src)
}
func (m *OpenCAPI) XXX_Size() int {
	return xxx_messageInfo_OpenCAPI.Size(m)
}
func (m *OpenCAPI) XXX_DiscardUnknown() {
	xxx_messageInfo_OpenCAPI.DiscardUnknown(m)
}

var xxx_messageInfo_OpenCAPI proto.InternalMessageInfo

func (m *OpenCAPI) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type PeripheralBus struct {
	// Types that are valid to be assigned to Bus:
	//	*PeripheralBus_Pcie
	//	*PeripheralBus_Genz
	//	*PeripheralBus_Capi
	Bus                  isPeripheralBus_Bus `protobuf_oneof:"bus"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte              `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32               `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *PeripheralBus) Reset()         { *m = PeripheralBus{} }
func (m *PeripheralBus) String() string { return proto.CompactTextString(m) }
func (*PeripheralBus) ProtoMessage()    {}
func (*PeripheralBus) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{15}
}

func (m *PeripheralBus) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PeripheralBus.Unmarshal(m, b)
}
func (m *PeripheralBus) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PeripheralBus.Marshal(b, m, deterministic)
}
func (m *PeripheralBus) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PeripheralBus.Merge(m, src)
}
func (m *PeripheralBus) XXX_Size() int {
	return xxx_messageInfo_PeripheralBus.Size(m)
}
func (m *PeripheralBus) XXX_DiscardUnknown() {
	xxx_messageInfo_PeripheralBus.DiscardUnknown(m)
}

var xxx_messageInfo_PeripheralBus proto.InternalMessageInfo

type isPeripheralBus_Bus interface {
	isPeripheralBus_Bus()
}

type PeripheralBus_Pcie struct {
	Pcie *PCIe `protobuf:"bytes,1,opt,name=pcie,proto3,oneof"`
}

type PeripheralBus_Genz struct {
	Genz *GenZ `protobuf:"bytes,2,opt,name=genz,proto3,oneof"`
}

type PeripheralBus_Capi struct {
	Capi *OpenCAPI `protobuf:"bytes,3,opt,name=capi,proto3,oneof"`
}

func (*PeripheralBus_Pcie) isPeripheralBus_Bus() {}

func (*PeripheralBus_Genz) isPeripheralBus_Bus() {}

func (*PeripheralBus_Capi) isPeripheralBus_Bus() {}

func (m *PeripheralBus) GetBus() isPeripheralBus_Bus {
	if m != nil {
		return m.Bus
	}
	return nil
}

func (m *PeripheralBus) GetPcie() *PCIe {
	if x, ok := m.GetBus().(*PeripheralBus_Pcie); ok {
		return x.Pcie
	}
	return nil
}

func (m *PeripheralBus) GetGenz() *GenZ {
	if x, ok := m.GetBus().(*PeripheralBus_Genz); ok {
		return x.Genz
	}
	return nil
}

func (m *PeripheralBus) GetCapi() *OpenCAPI {
	if x, ok := m.GetBus().(*PeripheralBus_Capi); ok {
		return x.Capi
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*PeripheralBus) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*PeripheralBus_Pcie)(nil),
		(*PeripheralBus_Genz)(nil),
		(*PeripheralBus_Capi)(nil),
	}
}

type SATA struct {
	Version              string   `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty" yaml:"Version,omitempty" mapstructure:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *SATA) Reset()         { *m = SATA{} }
func (m *SATA) String() string { return proto.CompactTextString(m) }
func (*SATA) ProtoMessage()    {}
func (*SATA) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{16}
}

func (m *SATA) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SATA.Unmarshal(m, b)
}
func (m *SATA) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SATA.Marshal(b, m, deterministic)
}
func (m *SATA) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SATA.Merge(m, src)
}
func (m *SATA) XXX_Size() int {
	return xxx_messageInfo_SATA.Size(m)
}
func (m *SATA) XXX_DiscardUnknown() {
	xxx_messageInfo_SATA.DiscardUnknown(m)
}

var xxx_messageInfo_SATA proto.InternalMessageInfo

func (m *SATA) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type SAS struct {
	Version              string   `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty" yaml:"Version,omitempty" mapstructure:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *SAS) Reset()         { *m = SAS{} }
func (m *SAS) String() string { return proto.CompactTextString(m) }
func (*SAS) ProtoMessage()    {}
func (*SAS) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{17}
}

func (m *SAS) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SAS.Unmarshal(m, b)
}
func (m *SAS) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SAS.Marshal(b, m, deterministic)
}
func (m *SAS) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SAS.Merge(m, src)
}
func (m *SAS) XXX_Size() int {
	return xxx_messageInfo_SAS.Size(m)
}
func (m *SAS) XXX_DiscardUnknown() {
	xxx_messageInfo_SAS.DiscardUnknown(m)
}

var xxx_messageInfo_SAS proto.InternalMessageInfo

func (m *SAS) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type NVMe struct {
	Version              string   `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty" yaml:"Version,omitempty" mapstructure:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *NVMe) Reset()         { *m = NVMe{} }
func (m *NVMe) String() string { return proto.CompactTextString(m) }
func (*NVMe) ProtoMessage()    {}
func (*NVMe) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{18}
}

func (m *NVMe) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NVMe.Unmarshal(m, b)
}
func (m *NVMe) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NVMe.Marshal(b, m, deterministic)
}
func (m *NVMe) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NVMe.Merge(m, src)
}
func (m *NVMe) XXX_Size() int {
	return xxx_messageInfo_NVMe.Size(m)
}
func (m *NVMe) XXX_DiscardUnknown() {
	xxx_messageInfo_NVMe.DiscardUnknown(m)
}

var xxx_messageInfo_NVMe proto.InternalMessageInfo

func (m *NVMe) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type DiskBus struct {
	// Types that are valid to be assigned to Bus:
	//	*DiskBus_Sata
	//	*DiskBus_Sas
	//	*DiskBus_Nvme
	Bus                  isDiskBus_Bus `protobuf_oneof:"bus"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte        `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32         `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DiskBus) Reset()         { *m = DiskBus{} }
func (m *DiskBus) String() string { return proto.CompactTextString(m) }
func (*DiskBus) ProtoMessage()    {}
func (*DiskBus) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{19}
}

func (m *DiskBus) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DiskBus.Unmarshal(m, b)
}
func (m *DiskBus) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DiskBus.Marshal(b, m, deterministic)
}
func (m *DiskBus) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DiskBus.Merge(m, src)
}
func (m *DiskBus) XXX_Size() int {
	return xxx_messageInfo_DiskBus.Size(m)
}
func (m *DiskBus) XXX_DiscardUnknown() {
	xxx_messageInfo_DiskBus.DiscardUnknown(m)
}

var xxx_messageInfo_DiskBus proto.InternalMessageInfo

type isDiskBus_Bus interface {
	isDiskBus_Bus()
}

type DiskBus_Sata struct {
	Sata *SATA `protobuf:"bytes,1,opt,name=sata,proto3,oneof"`
}

type DiskBus_Sas struct {
	Sas *SAS `protobuf:"bytes,2,opt,name=sas,proto3,oneof"`
}

type DiskBus_Nvme struct {
	Nvme *NVMe `protobuf:"bytes,3,opt,name=nvme,proto3,oneof"`
}

func (*DiskBus_Sata) isDiskBus_Bus() {}

func (*DiskBus_Sas) isDiskBus_Bus() {}

func (*DiskBus_Nvme) isDiskBus_Bus() {}

func (m *DiskBus) GetBus() isDiskBus_Bus {
	if m != nil {
		return m.Bus
	}
	return nil
}

func (m *DiskBus) GetSata() *SATA {
	if x, ok := m.GetBus().(*DiskBus_Sata); ok {
		return x.Sata
	}
	return nil
}

func (m *DiskBus) GetSas() *SAS {
	if x, ok := m.GetBus().(*DiskBus_Sas); ok {
		return x.Sas
	}
	return nil
}

func (m *DiskBus) GetNvme() *NVMe {
	if x, ok := m.GetBus().(*DiskBus_Nvme); ok {
		return x.Nvme
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*DiskBus) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*DiskBus_Sata)(nil),
		(*DiskBus_Sas)(nil),
		(*DiskBus_Nvme)(nil),
	}
}

type VMSpec struct {
	Name                 string           `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Index                uint32           `protobuf:"varint,2,opt,name=index,proto3" json:"index,omitempty" yaml:"index,omitempty" mapstructure:"index,omitempty"`
	DilationFactor       uint32           `protobuf:"varint,3,opt,name=dilation_factor,json=dilationFactor,proto3" json:"dilation_factor,omitempty" yaml:"dilation_factor,omitempty" mapstructure:"dilation_factor,omitempty"`
	Cpus                 []*CPU           `protobuf:"bytes,4,rep,name=cpus,proto3" json:"cpus,omitempty" yaml:"cpus,omitempty" mapstructure:"cpus,omitempty"`
	Dimms                []*DIMM          `protobuf:"bytes,5,rep,name=dimms,proto3" json:"dimms,omitempty" yaml:"dimms,omitempty" mapstructure:"dimms,omitempty"`
	Nics                 []*EtherNic      `protobuf:"bytes,6,rep,name=nics,proto3" json:"nics,omitempty" yaml:"nics,omitempty" mapstructure:"nics,omitempty"`
	Wifis                []*WifiModule    `protobuf:"bytes,7,rep,name=wifis,proto3" json:"wifis,omitempty" yaml:"wifis,omitempty" mapstructure:"wifis,omitempty"`
	Buses                []*PeripheralBus `protobuf:"bytes,8,rep,name=buses,proto3" json:"buses,omitempty" yaml:"buses,omitempty" mapstructure:"buses,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte           `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32            `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *VMSpec) Reset()         { *m = VMSpec{} }
func (m *VMSpec) String() string { return proto.CompactTextString(m) }
func (*VMSpec) ProtoMessage()    {}
func (*VMSpec) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{20}
}

func (m *VMSpec) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VMSpec.Unmarshal(m, b)
}
func (m *VMSpec) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VMSpec.Marshal(b, m, deterministic)
}
func (m *VMSpec) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VMSpec.Merge(m, src)
}
func (m *VMSpec) XXX_Size() int {
	return xxx_messageInfo_VMSpec.Size(m)
}
func (m *VMSpec) XXX_DiscardUnknown() {
	xxx_messageInfo_VMSpec.DiscardUnknown(m)
}

var xxx_messageInfo_VMSpec proto.InternalMessageInfo

func (m *VMSpec) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *VMSpec) GetIndex() uint32 {
	if m != nil {
		return m.Index
	}
	return 0
}

func (m *VMSpec) GetDilationFactor() uint32 {
	if m != nil {
		return m.DilationFactor
	}
	return 0
}

func (m *VMSpec) GetCpus() []*CPU {
	if m != nil {
		return m.Cpus
	}
	return nil
}

func (m *VMSpec) GetDimms() []*DIMM {
	if m != nil {
		return m.Dimms
	}
	return nil
}

func (m *VMSpec) GetNics() []*EtherNic {
	if m != nil {
		return m.Nics
	}
	return nil
}

func (m *VMSpec) GetWifis() []*WifiModule {
	if m != nil {
		return m.Wifis
	}
	return nil
}

func (m *VMSpec) GetBuses() []*PeripheralBus {
	if m != nil {
		return m.Buses
	}
	return nil
}

type Netif struct {
	Vlan                 uint32   `protobuf:"varint,1,opt,name=vlan,proto3" json:"vlan,omitempty" yaml:"vlan,omitempty" mapstructure:"vlan,omitempty"`
	Vxlan                uint32   `protobuf:"varint,2,opt,name=vxlan,proto3" json:"vxlan,omitempty" yaml:"vxlan,omitempty" mapstructure:"vxlan,omitempty"`
	Index                uint32   `protobuf:"varint,3,opt,name=index,proto3" json:"index,omitempty" yaml:"index,omitempty" mapstructure:"index,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Netif) Reset()         { *m = Netif{} }
func (m *Netif) String() string { return proto.CompactTextString(m) }
func (*Netif) ProtoMessage()    {}
func (*Netif) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{21}
}

func (m *Netif) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Netif.Unmarshal(m, b)
}
func (m *Netif) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Netif.Marshal(b, m, deterministic)
}
func (m *Netif) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Netif.Merge(m, src)
}
func (m *Netif) XXX_Size() int {
	return xxx_messageInfo_Netif.Size(m)
}
func (m *Netif) XXX_DiscardUnknown() {
	xxx_messageInfo_Netif.DiscardUnknown(m)
}

var xxx_messageInfo_Netif proto.InternalMessageInfo

func (m *Netif) GetVlan() uint32 {
	if m != nil {
		return m.Vlan
	}
	return 0
}

func (m *Netif) GetVxlan() uint32 {
	if m != nil {
		return m.Vxlan
	}
	return 0
}

func (m *Netif) GetIndex() uint32 {
	if m != nil {
		return m.Index
	}
	return 0
}

type VHost struct {
	Interfaces           []*Netif `protobuf:"bytes,1,rep,name=interfaces,proto3" json:"interfaces,omitempty" yaml:"interfaces,omitempty" mapstructure:"interfaces,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *VHost) Reset()         { *m = VHost{} }
func (m *VHost) String() string { return proto.CompactTextString(m) }
func (*VHost) ProtoMessage()    {}
func (*VHost) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{22}
}

func (m *VHost) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VHost.Unmarshal(m, b)
}
func (m *VHost) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VHost.Marshal(b, m, deterministic)
}
func (m *VHost) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VHost.Merge(m, src)
}
func (m *VHost) XXX_Size() int {
	return xxx_messageInfo_VHost.Size(m)
}
func (m *VHost) XXX_DiscardUnknown() {
	xxx_messageInfo_VHost.DiscardUnknown(m)
}

var xxx_messageInfo_VHost proto.InternalMessageInfo

func (m *VHost) GetInterfaces() []*Netif {
	if m != nil {
		return m.Interfaces
	}
	return nil
}

type InstanceInfo struct {
	Spec                 *VMSpec  `protobuf:"bytes,1,opt,name=spec,proto3" json:"spec,omitempty" yaml:"spec,omitempty" mapstructure:"spec,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *InstanceInfo) Reset()         { *m = InstanceInfo{} }
func (m *InstanceInfo) String() string { return proto.CompactTextString(m) }
func (*InstanceInfo) ProtoMessage()    {}
func (*InstanceInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_d4fc2deec8de59db, []int{23}
}

func (m *InstanceInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InstanceInfo.Unmarshal(m, b)
}
func (m *InstanceInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InstanceInfo.Marshal(b, m, deterministic)
}
func (m *InstanceInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InstanceInfo.Merge(m, src)
}
func (m *InstanceInfo) XXX_Size() int {
	return xxx_messageInfo_InstanceInfo.Size(m)
}
func (m *InstanceInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_InstanceInfo.DiscardUnknown(m)
}

var xxx_messageInfo_InstanceInfo proto.InternalMessageInfo

func (m *InstanceInfo) GetSpec() *VMSpec {
	if m != nil {
		return m.Spec
	}
	return nil
}

func init() {
	proto.RegisterType((*CreateVMsRequest)(nil), "mariner.CreateVMsRequest")
	proto.RegisterType((*CreateVMsResponse)(nil), "mariner.CreateVMsResponse")
	proto.RegisterType((*DestroyVMsRequest)(nil), "mariner.DestroyVMsRequest")
	proto.RegisterType((*DestroyVMsResponse)(nil), "mariner.DestroyVMsResponse")
	proto.RegisterType((*ListVMsRequest)(nil), "mariner.ListVMsRequest")
	proto.RegisterType((*ListVMsResponse)(nil), "mariner.ListVMsResponse")
	proto.RegisterType((*Disk)(nil), "mariner.Disk")
	proto.RegisterType((*CPU)(nil), "mariner.CPU")
	proto.RegisterType((*DIMM)(nil), "mariner.DIMM")
	proto.RegisterType((*EtherPort)(nil), "mariner.EtherPort")
	proto.RegisterType((*EtherNic)(nil), "mariner.EtherNic")
	proto.RegisterType((*WifiModule)(nil), "mariner.WifiModule")
	proto.RegisterType((*PCIe)(nil), "mariner.PCIe")
	proto.RegisterType((*GenZ)(nil), "mariner.GenZ")
	proto.RegisterType((*OpenCAPI)(nil), "mariner.OpenCAPI")
	proto.RegisterType((*PeripheralBus)(nil), "mariner.PeripheralBus")
	proto.RegisterType((*SATA)(nil), "mariner.SATA")
	proto.RegisterType((*SAS)(nil), "mariner.SAS")
	proto.RegisterType((*NVMe)(nil), "mariner.NVMe")
	proto.RegisterType((*DiskBus)(nil), "mariner.DiskBus")
	proto.RegisterType((*VMSpec)(nil), "mariner.VMSpec")
	proto.RegisterType((*Netif)(nil), "mariner.Netif")
	proto.RegisterType((*VHost)(nil), "mariner.VHost")
	proto.RegisterType((*InstanceInfo)(nil), "mariner.InstanceInfo")
}

func init() { proto.RegisterFile("api/spec.proto", fileDescriptor_d4fc2deec8de59db) }

var fileDescriptor_d4fc2deec8de59db = []byte{
	// 780 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x95, 0xe1, 0x4e, 0xdb, 0x3a,
	0x14, 0xc7, 0x29, 0x49, 0x68, 0x7b, 0xa0, 0x85, 0x1a, 0x74, 0x6f, 0x6e, 0xef, 0x95, 0x6e, 0x15,
	0x2e, 0xa2, 0x48, 0x57, 0x9d, 0x04, 0x48, 0x1b, 0xd2, 0xbe, 0x94, 0xc2, 0xa0, 0xd3, 0xd2, 0x55,
	0x2e, 0x74, 0xd2, 0xbe, 0x4c, 0x26, 0x75, 0x86, 0xb5, 0xd6, 0xc9, 0x62, 0x97, 0x01, 0xda, 0x0b,
	0xec, 0x35, 0xf6, 0x48, 0x7b, 0xa2, 0xc9, 0x4e, 0x9a, 0x04, 0x8a, 0xaa, 0x49, 0xfb, 0x66, 0xfb,
	0xff, 0xf3, 0xc9, 0xdf, 0x27, 0xe7, 0xd8, 0x50, 0x25, 0x21, 0x7b, 0x26, 0x42, 0xea, 0xb5, 0xc2,
	0x28, 0x90, 0x01, 0x2a, 0x4e, 0x48, 0xc4, 0x38, 0x8d, 0x9c, 0x23, 0xd8, 0xe8, 0x44, 0x94, 0x48,
	0x3a, 0x74, 0x05, 0xa6, 0x9f, 0xa7, 0x54, 0x48, 0xb4, 0x03, 0x96, 0x42, 0x85, 0x5d, 0x68, 0x18,
	0xcd, 0xd5, 0xfd, 0xf5, 0x56, 0x02, 0xb7, 0x86, 0xee, 0x20, 0xa4, 0x1e, 0x8e, 0x55, 0x67, 0x13,
	0x6a, 0xb9, 0xad, 0x22, 0x0c, 0xb8, 0xa0, 0xce, 0x1e, 0xd4, 0x4e, 0xa8, 0x90, 0x51, 0x70, 0x97,
	0x0b, 0xb8, 0x05, 0x16, 0x27, 0x13, 0x1a, 0x07, 0x2c, 0xe3, 0x78, 0xe2, 0x6c, 0x01, 0xca, 0xa3,
	0x49, 0x80, 0x0d, 0xa8, 0xbe, 0x61, 0x42, 0x66, 0xbb, 0x9d, 0x17, 0xb0, 0x9e, 0xae, 0xc4, 0xd0,
	0xaf, 0x3a, 0xac, 0x83, 0x79, 0xc2, 0xc4, 0x27, 0x84, 0xc0, 0x14, 0xec, 0x9e, 0xda, 0x85, 0x46,
	0xa1, 0x69, 0x62, 0x3d, 0x76, 0x8e, 0xc0, 0xe8, 0xf4, 0x2f, 0xd1, 0x3f, 0x50, 0xf6, 0x23, 0xf5,
	0x21, 0xee, 0xdd, 0x25, 0x7a, 0xb6, 0xa0, 0x8c, 0x7b, 0x41, 0x44, 0x85, 0xbd, 0xdc, 0x28, 0x34,
	0x2b, 0x38, 0x9e, 0x38, 0x87, 0x60, 0x9e, 0x74, 0x5d, 0x17, 0x6d, 0x80, 0xe1, 0x5e, 0x88, 0x64,
	0x97, 0x1a, 0xa2, 0x3a, 0x94, 0x3a, 0x24, 0x24, 0x1e, 0x93, 0x77, 0x7a, 0x8b, 0x89, 0xd3, 0xb9,
	0xd3, 0x85, 0xf2, 0xa9, 0xbc, 0xa6, 0x51, 0x3f, 0x88, 0x24, 0x6a, 0x80, 0xc1, 0xfc, 0x5b, 0xbd,
	0x75, 0x75, 0xbf, 0x9a, 0xda, 0xef, 0x51, 0xc9, 0x7c, 0xac, 0xa4, 0x85, 0xa1, 0x0e, 0xa1, 0xa4,
	0x43, 0xf5, 0x98, 0x87, 0x9a, 0x60, 0x85, 0x41, 0x24, 0x67, 0xa9, 0x40, 0x69, 0xac, 0xf4, 0x63,
	0x38, 0x06, 0x9c, 0xd7, 0x00, 0xef, 0x98, 0xcf, 0xdc, 0x60, 0x34, 0x1d, 0xd3, 0xdf, 0x74, 0xd0,
	0x00, 0xb3, 0xdf, 0xe9, 0x52, 0x64, 0x43, 0x71, 0x48, 0x23, 0xc1, 0x02, 0xae, 0x23, 0x95, 0xf1,
	0x6c, 0xaa, 0x88, 0x33, 0xca, 0xdf, 0x2f, 0x20, 0xfe, 0x83, 0xd2, 0xdb, 0x90, 0xf2, 0x4e, 0xbb,
	0xdf, 0x5d, 0x40, 0x7d, 0x2b, 0x40, 0xa5, 0x4f, 0x23, 0x16, 0x5e, 0xd3, 0x88, 0x8c, 0x8f, 0xa7,
	0x02, 0x6d, 0x83, 0x19, 0x7a, 0x8c, 0x26, 0xd6, 0x2b, 0xa9, 0x75, 0x65, 0xe8, 0x7c, 0x09, 0x6b,
	0x51, 0x41, 0x1f, 0x29, 0xbf, 0xd7, 0xc6, 0xf3, 0x90, 0xf2, 0xa4, 0x20, 0x25, 0xa2, 0x5d, 0x30,
	0x3d, 0x12, 0x32, 0xdb, 0xd0, 0x50, 0x2d, 0x85, 0x66, 0xb6, 0x14, 0xa8, 0x80, 0x63, 0x0b, 0x8c,
	0xab, 0xa9, 0x50, 0x67, 0x1a, 0xb4, 0x2f, 0xda, 0x0b, 0xdc, 0xfe, 0x0b, 0xc6, 0xa0, 0x3d, 0x58,
	0x9c, 0x96, 0xde, 0xd0, 0x5d, 0x94, 0xb8, 0xaf, 0x50, 0x54, 0x45, 0x9b, 0x9c, 0x54, 0x10, 0x49,
	0xe6, 0x4e, 0xaa, 0x4c, 0x28, 0x6f, 0x4a, 0x54, 0x3f, 0x52, 0x10, 0x91, 0x1c, 0x74, 0x2d, 0xc7,
	0x0c, 0xce, 0x97, 0xb0, 0x92, 0x54, 0x18, 0x7e, 0x33, 0xa1, 0xc9, 0x31, 0xb3, 0x30, 0xca, 0x88,
	0x0a, 0xa3, 0xc4, 0xd9, 0x11, 0xbf, 0x2f, 0xc3, 0x4a, 0xdc, 0x44, 0xaa, 0x6b, 0x54, 0xa3, 0x26,
	0xfe, 0xf4, 0x58, 0x35, 0x04, 0xe3, 0x23, 0x7a, 0x3b, 0x6b, 0x08, 0x3d, 0x41, 0xbb, 0xb0, 0x3e,
	0x62, 0x63, 0x22, 0x59, 0xc0, 0x3f, 0xf8, 0xc4, 0x93, 0x41, 0xa4, 0xbf, 0x55, 0xc1, 0xd5, 0xd9,
	0xf2, 0x2b, 0xbd, 0x8a, 0x1a, 0x60, 0x7a, 0xe1, 0x54, 0xd8, 0xa6, 0xae, 0xd5, 0xcc, 0x6c, 0xa7,
	0x7f, 0x89, 0xb5, 0x82, 0xb6, 0xc1, 0x1a, 0xb1, 0xc9, 0x44, 0xd8, 0x96, 0x46, 0x32, 0xb3, 0xaa,
	0xe3, 0x70, 0xac, 0xa1, 0x1d, 0x30, 0x39, 0xf3, 0x84, 0xbd, 0xa2, 0x99, 0xda, 0xc3, 0x92, 0xef,
	0x31, 0x0f, 0x6b, 0x19, 0xed, 0x81, 0xf5, 0x85, 0xf9, 0x4c, 0xd8, 0x45, 0xcd, 0x6d, 0xa6, 0x5c,
	0xd6, 0x06, 0x38, 0x26, 0xd0, 0xff, 0x60, 0x5d, 0x4d, 0x05, 0x15, 0x76, 0x49, 0xa3, 0x7f, 0x64,
	0x45, 0x95, 0x2f, 0x3d, 0x1c, 0x43, 0xce, 0x19, 0x58, 0xba, 0x4f, 0x54, 0x8a, 0x6e, 0xc6, 0x24,
	0xfe, 0x85, 0x15, 0xac, 0xc7, 0x2a, 0x45, 0x37, 0xb7, 0x6a, 0x31, 0x49, 0x91, 0x9e, 0x64, 0x89,
	0x33, 0x72, 0x89, 0x73, 0x9e, 0x83, 0x35, 0x3c, 0x0f, 0x84, 0x44, 0x2d, 0x00, 0xc6, 0x25, 0x8d,
	0x7c, 0xe2, 0xd1, 0x59, 0x2b, 0x3f, 0x6e, 0xca, 0x1c, 0xe1, 0x1c, 0xc0, 0x5a, 0x97, 0x0b, 0x49,
	0xb8, 0x47, 0xbb, 0xdc, 0x0f, 0x74, 0xa5, 0x84, 0xd4, 0x4b, 0x2a, 0x65, 0xee, 0x3e, 0xd4, 0xe2,
	0xfe, 0x8f, 0x02, 0x14, 0xdd, 0x58, 0x40, 0xc7, 0x50, 0x4e, 0x2f, 0x6f, 0xf4, 0x57, 0xf6, 0x23,
	0x1e, 0xbd, 0x05, 0xf5, 0xfa, 0x53, 0x52, 0x72, 0x0b, 0x9f, 0x02, 0x64, 0x17, 0x38, 0xca, 0xc8,
	0xb9, 0x07, 0xa0, 0xfe, 0xf7, 0x93, 0x5a, 0x12, 0xe6, 0x25, 0x14, 0x93, 0xfb, 0x1d, 0xfd, 0x99,
	0x72, 0x0f, 0xdf, 0x80, 0xba, 0x3d, 0x2f, 0xc4, 0xbb, 0xaf, 0x56, 0xf4, 0x83, 0x76, 0xf0, 0x33,
	0x00, 0x00, 0xff, 0xff, 0x7b, 0x76, 0x55, 0xb2, 0xe2, 0x06, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// MarinerClient is the client API for Mariner service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MarinerClient interface {
	CreateVMs(ctx context.Context, in *CreateVMsRequest, opts ...grpc.CallOption) (*CreateVMsResponse, error)
	DestroyVMs(ctx context.Context, in *DestroyVMsRequest, opts ...grpc.CallOption) (*DestroyVMsResponse, error)
	ListVMs(ctx context.Context, in *ListVMsRequest, opts ...grpc.CallOption) (*ListVMsResponse, error)
}

type marinerClient struct {
	cc *grpc.ClientConn
}

func NewMarinerClient(cc *grpc.ClientConn) MarinerClient {
	return &marinerClient{cc}
}

func (c *marinerClient) CreateVMs(ctx context.Context, in *CreateVMsRequest, opts ...grpc.CallOption) (*CreateVMsResponse, error) {
	out := new(CreateVMsResponse)
	err := c.cc.Invoke(ctx, "/mariner.Mariner/CreateVMs", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marinerClient) DestroyVMs(ctx context.Context, in *DestroyVMsRequest, opts ...grpc.CallOption) (*DestroyVMsResponse, error) {
	out := new(DestroyVMsResponse)
	err := c.cc.Invoke(ctx, "/mariner.Mariner/DestroyVMs", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *marinerClient) ListVMs(ctx context.Context, in *ListVMsRequest, opts ...grpc.CallOption) (*ListVMsResponse, error) {
	out := new(ListVMsResponse)
	err := c.cc.Invoke(ctx, "/mariner.Mariner/ListVMs", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MarinerServer is the server API for Mariner service.
type MarinerServer interface {
	CreateVMs(context.Context, *CreateVMsRequest) (*CreateVMsResponse, error)
	DestroyVMs(context.Context, *DestroyVMsRequest) (*DestroyVMsResponse, error)
	ListVMs(context.Context, *ListVMsRequest) (*ListVMsResponse, error)
}

func RegisterMarinerServer(s *grpc.Server, srv MarinerServer) {
	s.RegisterService(&_Mariner_serviceDesc, srv)
}

func _Mariner_CreateVMs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateVMsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarinerServer).CreateVMs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mariner.Mariner/CreateVMs",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarinerServer).CreateVMs(ctx, req.(*CreateVMsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mariner_DestroyVMs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DestroyVMsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarinerServer).DestroyVMs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mariner.Mariner/DestroyVMs",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarinerServer).DestroyVMs(ctx, req.(*DestroyVMsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Mariner_ListVMs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListVMsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MarinerServer).ListVMs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/mariner.Mariner/ListVMs",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MarinerServer).ListVMs(ctx, req.(*ListVMsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Mariner_serviceDesc = grpc.ServiceDesc{
	ServiceName: "mariner.Mariner",
	HandlerType: (*MarinerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateVMs",
			Handler:    _Mariner_CreateVMs_Handler,
		},
		{
			MethodName: "DestroyVMs",
			Handler:    _Mariner_DestroyVMs_Handler,
		},
		{
			MethodName: "ListVMs",
			Handler:    _Mariner_ListVMs_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/spec.proto",
}
